Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxHssAccConfigParams Struct Reference [IXP425 HSS Access (IxHssAcc) API] Structure containing HSS configuration parameters. More...
## Data Fields
IxHssAccPortConfig | txPortConfig
| HSS tx port configuration.
IxHssAccPortConfig | rxPortConfig
| HSS rx port configuration.
unsigned | numChannelised
| The number of channelised timeslots (0-32).
unsigned | hssPktChannelCount
| The number of packetised clients (0 - 4).
UINT8 | channelisedIdlePattern
| The byte to be transmitted on channelised service when there is no client data to tx.
BOOL | loopback
| The HSS loopback state.
unsigned | packetizedIdlePattern
| The data to be transmitted on packetised service when there is no client data to tx.
IxHssAccClkSpeed | clkSpeed
| The HSS clock speed.
## Detailed Description Structure containing HSS configuration parameters. Definition at line 568 of file IxHssAcc.h. ## Field Documentation
UINT8 IxHssAccConfigParams::channelisedIdlePattern
| The byte to be transmitted on channelised service when there is no client data to tx. Definition at line 576 of file IxHssAcc.h.
IxHssAccClkSpeed IxHssAccConfigParams::clkSpeed
| The HSS clock speed. Definition at line 583 of file IxHssAcc.h.
unsigned IxHssAccConfigParams::hssPktChannelCount
| The number of packetised clients (0 - 4). Definition at line 574 of file IxHssAcc.h.
BOOL IxHssAccConfigParams::loopback
| The HSS loopback state. Definition at line 579 of file IxHssAcc.h.
unsigned IxHssAccConfigParams::numChannelised
| The number of channelised timeslots (0-32). Definition at line 572 of file IxHssAcc.h.
unsigned IxHssAccConfigParams::packetizedIdlePattern
| The data to be transmitted on packetised service when there is no client data to tx. Definition at line 580 of file IxHssAcc.h.
IxHssAccPortConfig IxHssAccConfigParams::rxPortConfig
| HSS rx port configuration. Definition at line 571 of file IxHssAcc.h.
IxHssAccPortConfig IxHssAccConfigParams::txPortConfig
| HSS tx port configuration. Definition at line 570 of file IxHssAcc.h.
The documentation for this struct was generated from the following file: IxHssAcc.h
Automatically generated from sources. © Intel Corp. 2003